=== debian/changelog ===
nanopolish (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #811458)

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 20 Jan 2016 19:53:16 -0800
