=== debian/control ===
Source: nanopolish
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
	zlib1g-dev,
	libfast5-dev,
	libhts-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/jts/nanopolish
Vcs-Git: git://anonscm.debian.org/debian-med/nanopolish.git
Vcs-Browser: http://anonscm.debian.org/debian-med/nanopolish.git

Package: nanopolish
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Suggests:
	python,
	perl,
	make,
Description: consensus caller for nanopore sequencing data
 Nanopolish uses a signal-level hidden Markov model for consensus
 calling of nanopore genome sequencing data.
