=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/hdf5/serial
export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	$(RM) .depend
