=== debian/changelog ===
nanopolish (0.5.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 09 Oct 2016 12:36:05 -0700

nanopolish (0.5.0-1) unstable; urgency=medium

  * Imported Upstream version 0.5.0
    - Refresh and update patches
    - Add build dependency on libeigen3
    - Fix "clean" target
  * Update email address and copyright year
  * Fix compatibility with fast5 0.5.6

 -- Afif Elghraoui <afif@debian.org>  Fri, 12 Aug 2016 00:05:16 -0700

nanopolish (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Aug 2016 12:34:56 +0000

nanopolish (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 6 (Closes: #831151)
  * Enable full hardening.
  * Fix Vcs-Browser link.
  * Use secure Vcs-*.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Aug 2016 20:51:28 +0000

nanopolish (0.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 24 Feb 2016 19:05:07 -0800
