=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 
 export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/hdf5/serial
 export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_clean:
-	dh_auto_clean
+	$(MAKE) clean
 	$(RM) .depend
