## nanopolish 0.8.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 
 # Sub directories containing source code, except for the main programs
-SUBDIRS := src src/hmm src/thirdparty src/common src/alignment
+SUBDIRS := src src/hmm src/thirdparty src/thirdparty/scrappie src/common src/alignment src/pore_model
 
 #
 # Set libraries, paths, flags and options
@@ -9,12 +9,15 @@
 
 #Basic flags every build needs
 LIBS=-lz
-CXXFLAGS = -g -O3
+CXXFLAGS ?= -g -O3
 CXXFLAGS += -std=c++11 -fopenmp
-CFLAGS=-O3
-CXX=g++
-CC=gcc
+CFLAGS ?= -O3 -std=c99
+CXX ?= g++
+CC ?= gcc
+
+# Change the value of HDF5 or EIGEN below to any value to disable compilation of bundled HDF5 code
 HDF5=install
+EIGEN=install
 
 # Check operating system, OSX doesn't have -lrt
 UNAME_S := $(shell uname -s)
@@ -34,18 +37,29 @@
     LIBS += -lhdf5
 endif
 
-# Bulild and link the libhts submodule
+# Default to automatically installing EIGEN
+ifeq ($(EIGEN), install)
+    EIGEN_CHECK=eigen/INSTALL
+else
+    # Use system-wide eigen
+    EIGEN_CHECK=
+endif
+
+# Build and link the libhts submodule
 HTS_LIB=./htslib/libhts.a
 HTS_INCLUDE=-I./htslib
 
 # Include the header-only fast5 library
-FAST5_INCLUDE=-I./fast5
+FAST5_INCLUDE=-I./fast5/include
+
+# Include the header-only eigen library
+EIGEN_INCLUDE=-I./eigen/
 
 # Include the src subdirectories
 NP_INCLUDE=$(addprefix -I./, $(SUBDIRS))
 
 # Add include flags
-CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE)
+CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE) $(EIGEN_INCLUDE)
 
 # Main programs to build
 PROGRAM=nanopolish
@@ -57,24 +71,22 @@
 # Build libhts
 #
 htslib/libhts.a:
-	cd htslib; make
+	cd htslib && make || exit 255
 
 #
 # If this library is a dependency the user wants HDF5 to be downloaded and built.
 #
 lib/libhdf5.a:
-	wget https://www.hdfgroup.org/ftp/HDF5/releases/hdf5-1.8.14/src/hdf5-1.8.14.tar.gz
-	tar -xzf hdf5-1.8.14.tar.gz
-	cd hdf5-1.8.14; ./configure --enable-threadsafe --prefix=`pwd`/..; make; make install
+	if [ ! -e hdf5-1.8.14.tar.gz ]; then wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.8/hdf5-1.8.14/src/hdf5-1.8.14.tar.gz; fi
+	tar -xzf hdf5-1.8.14.tar.gz || exit 255
+	cd hdf5-1.8.14 && ./configure --enable-threadsafe --prefix=`pwd`/.. && make && make install
 
 
 # Download and install eigen if not already downloaded
-EIGEN=eigen/INSTALL
-
-$(EIGEN):
-	wget http://bitbucket.org/eigen/eigen/get/3.2.5.tar.bz2
-	tar -xjvf 3.2.5.tar.bz2
-	mv eigen-eigen-bdd17ee3b1b3 eigen
+eigen/INSTALL:
+	if [ ! -e 3.2.5.tar.bz2 ]; then wget http://bitbucket.org/eigen/eigen/get/3.2.5.tar.bz2; fi
+	tar -xjvf 3.2.5.tar.bz2 || exit 255
+	mv eigen-eigen-bdd17ee3b1b3 eigen || exit 255
 
 #
 # Source files
@@ -93,7 +105,7 @@
 PHONY=depend
 depend: .depend
 
-.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB) $(EIGEN)
+.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB) $(EIGEN_CHECK)
 	rm -f ./.depend
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(CPP_SRC) $(C_SRC) > ./.depend;
 
@@ -104,10 +116,10 @@
 	$(CXX) -o $@ -c $(CXXFLAGS) $(CPPFLAGS) -fPIC $<
 
 .c.o:
-	$(CC) -o $@ -c $(CFLAGS) -fPIC $<
+	$(CC) -o $@ -c $(CFLAGS) $(H5_INCLUDE) -fPIC $<
 
 # Link main executable
-$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN)
+$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN_CHECK)
 	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)
 
 # Link test executable
