=== debian/changelog ===
nanopolish (0.8.4-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * upstream/metadata RRID->SciCrunch

  [ Afif Elghraoui ]
  * New upstream version
  * Bump fast5 minimum version
  * Update and refine patch stack
  * Improve handling of external dependencies and build flags
  * d/rules
    + Remove redundant LDFLAGS setting
    + Don't override upstream optimization flags with default -O2
  * Bump Standards-Version to 4.1.1

 -- Afif Elghraoui <afif@debian.org>  Sat, 11 Nov 2017 00:45:23 -0500

nanopolish (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Hack around broken clean target which tries to build dependencies from
    external sources
  * DEP3
  * Fix path tp hdf5 lib on i386 (thanks for the hint to Christian Seiler
    <christian@iwakd.de>)
  * Restrict Architectures: any-amd64 any-i386 x32
    since immintrin.h is a x86/amd64 specific header for intrinsics not
    available on other architectures (Thanks for the hint to Gert Wollny
    <gw.fossdev@gmail.com>)
  * Depends: sse-support [any-i386] (thanks for the hint to Christian Seiler
    <christian@iwakd.de>)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Sep 2017 15:37:43 +0200

nanopolish (0.8.1-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload
  * New upstream version (Closes: #853568)
    - bumped dependency on fast5 to 0.6.2
    - established compatibility with gcc/g++ 7
    - needed some extra persuasion to not download
      eigen library.
    - added link-time optimisation
  * debian/upstream/metadata: Added references to registries

  [ Andreas Tille ]
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 Sep 2017 16:59:29 +0200
