=== debian/control ===
Source: nanopolish
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 10),
	zlib1g-dev,
	libfast5-dev (>= 0.6.4),
	libhts-dev,
	libeigen3-dev,
Standards-Version: 4.1.1
Homepage: https://github.com/jts/nanopolish
Vcs-Git: https://anonscm.debian.org/git/debian-med/nanopolish.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/nanopolish.git

Package: nanopolish
Architecture: any-amd64 any-i386 x32
Depends:
	${shlibs:Depends},
	${misc:Depends},
	sse-support [any-i386]
Suggests:
	python,
	perl,
	make,
Description: consensus caller for nanopore sequencing data
 Nanopolish uses a signal-level hidden Markov model for consensus
 calling of nanopore genome sequencing data.
