=== debian/changelog ===
nanopolish (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Bump upstream copyright year
  * Bump minimum required fast5 version
  * Include upstream patch to fix HDF5 errors appearing in autopkgtest

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Feb 2018 22:02:10 -0500

nanopolish (0.8.5-2) unstable; urgency=low

  * Remove dependency on nonexistent package sse-support [i386]

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 19:38:40 -0500

nanopolish (0.8.5-1) unstable; urgency=medium

  * New upstream version
  * d/control:
    + Add sse-support to Build-Depends for i386
    + Remove explicit declaration of x32
  * Bump Standards-Version to 4.1.3
  * Drop patches applied upstream
  * Drop useless patch
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 16:17:01 -0500
