=== debian/control ===
--- 
+++ 
@@ -6,20 +6,19 @@
 Build-Depends:
 	debhelper (>= 10),
 	zlib1g-dev,
-	libfast5-dev (>= 0.6.4),
+	libfast5-dev (>= 0.6.5),
 	libhts-dev,
 	libeigen3-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/jts/nanopolish
 Vcs-Git: https://anonscm.debian.org/git/debian-med/nanopolish.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/nanopolish.git
 
 Package: nanopolish
-Architecture: any-amd64 any-i386 x32
+Architecture: any-amd64 any-i386
 Depends:
 	${shlibs:Depends},
 	${misc:Depends},
-	sse-support [any-i386]
 Suggests:
 	python,
 	perl,
