=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_CPPFLAGS_MAINT_APPEND= \
 -I/usr/include/hdf5/serial \
 -I/usr/include/eigen3
# dpkg-buildpackage would otherwise set -O2, overriding upstream's -O3
# Note: ask Steffen why he chose to add -flto for this package.
export DEB_CFLAGS_MAINT_APPEND = -O3 -flto
export DEB_CXXFLAGS_MAINT_APPEND = -O3 -flto
export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# These variables just need to be defined as anything but "install" in order
# to use system versions.
export HDF5=external
export EIGEN=external
export HTS=external

%:
	dh $@

override_dh_auto_clean:
	sed -i~ 's/^.depend: .*/.depend:/' Makefile
	touch .depend
	$(MAKE) clean
	$(RM) .depend
	mv Makefile~ Makefile
