## nanopolish 0.10.2

=== debian/changelog ===
nanopolish (0.10.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 04 Oct 2018 10:17:27 +0200

nanopolish (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix path for Perl interpreter
  * Enhance long description

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 11:37:24 +0200

nanopolish (0.9.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Aug 2018 16:19:57 +0200
