=== debian/control ===
Source: nanopolish
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               zlib1g-dev,
               libfast5-dev (>= 0.6.5),
               libhts-dev,
               libeigen3-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
Homepage: https://github.com/jts/nanopolish

Package: nanopolish
Architecture: any-amd64 any-i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: python,
          perl,
          make
Description: consensus caller for nanopore sequencing data
 Nanopolish uses a signal-level hidden Markov model for consensus calling
 of nanopore genome sequencing data. It can perform signal-level analysis
 of Oxford Nanopore sequencing data. Nanopolish can calculate an improved
 consensus sequence for a draft genome assembly, detect base
 modifications, call SNPs and indels with respect to a reference genome
 and more.
