=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,9 @@
 	$(MAKE) clean
 	$(RM) .depend
 	mv Makefile~ Makefile
+
+override_dh_install:
+	dh_install
+	for pl in `find debian -name "*.pl"` ; do \
+	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
+	done
