=== debian/changelog ===
nanopolish (0.11.0-2) unstable; urgency=medium

  * Team upload.
  [ Matthias Klose ]
  * Fix autopkg test.
  * Fix autopkg test dependency.

  [ Andreas Tille ]
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 27 Jan 2019 11:27:03 +0100

nanopolish (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * Recommends: python-pysam, python-biopython
  * debhelper 12
  * Standards-Version: 4.3.0
  * Fix permissions
  * Fix path for Python interpreter
  * Better care for Python scripts

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 09:11:19 +0100
