=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
+               dh-python,
+               python,
                zlib1g-dev,
                libfast5-dev (>= 0.6.5),
                libhts-dev,
                libeigen3-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish
@@ -16,9 +18,11 @@
 Package: nanopolish
 Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: python,
-          perl,
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: python-biopython,
+            python-pysam
+Suggests: perl,
           make
 Description: consensus caller for nanopore sequencing data
  Nanopolish uses a signal-level hidden Markov model for consensus calling
