=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export HTS=external
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	sed -i~ 's/^.depend: .*/.depend:/' Makefile
@@ -34,3 +34,10 @@
 	for pl in `find debian -name "*.pl"` ; do \
 	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
 	done
+	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!.*python?#!/usr/bin/python?' $${pl} ; \
+	done
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name *.fast5 -exec chmod -x \{\} \;
