=== debian/tests/control ===
Tests: main
Depends: @
