=== debian/changelog ===
nanopolish (0.11.1-1) unstable; urgency=medium

  * Afif Elghraoui removed himself from Uploaders
  * Add myself to Uploaders
  * Make nanopolish_makerange accessible in /usr/bin
  * Asked upstrem for Python3 port
    https://github.com/jts/nanopolish/issues/626
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 13:12:23 +0200
