## nanopolish 0.11.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 EIGEN ?= install
 HTS ?= install
 
-HDF5_VERSION ?= 1.10.4
+HDF5_VERSION ?= 1.8.14
 EIGEN_VERSION ?= 3.2.5
 
 # Check operating system, OSX doesn't have -lrt
@@ -84,7 +84,7 @@
 # Build libhts
 #
 htslib/libhts.a:
-	cd htslib && make || exit 255
+	cd htslib && make htslib_default_libs="-lz -lm -lbz2" || exit 255
 
 #
 # If this library is a dependency the user wants HDF5 to be downloaded and built.
