=== debian/changelog ===
nanopolish (0.11.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:03 +0100

nanopolish (0.11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Dec 2019 19:10:21 +0100

nanopolish (0.11.2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream release
    Closes: #931784, #937105
  * debhelper-compat 12
  * Added patch to fixed #! for the python scripts
  * Set upstream metadata fields: Repository.

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Unify autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2019 15:48:48 +0100
