=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python,
+               python3,
                zlib1g-dev,
                libfast5-dev (>= 0.6.5),
                libhts-dev,
                libeigen3-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish
@@ -19,9 +19,10 @@
 Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-biopython,
-            python-pysam
+         ${python3:Depends},
+         ${perl:Depends}
+Recommends: python3-biopython,
+            python3-pysam
 Suggests: perl,
           make
 Description: consensus caller for nanopore sequencing data
