=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export HTS=external
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	sed -i~ 's/^.depend: .*/.depend:/' Makefile
@@ -35,7 +35,7 @@
 	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
 	done
 	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
-	    sed -i '1s?^#!.*python?#!/usr/bin/python?' $${pl} ; \
+	    sed -i '1s?^#!.*python.*?#!/usr/bin/python3?' $${pl} ; \
 	done
 
 override_dh_fixperms:
