=== debian/changelog ===
nanopolish (0.13.2-3) unstable; urgency=medium

  * Since we need the executable createt inside build time test in autopkgtest
    this is enforced in dh_auto_build to circumvent nocheck.
    Closes: #983767

 -- Andreas Tille <tille@debian.org>  Mon, 01 Mar 2021 16:39:39 +0100

nanopolish (0.13.2-2) unstable; urgency=medium

  * Team upload.
  * Patch code to not define PR_R7 and PT_R9 to avoid FTBFS on
    some archs (Closes: #960634)
    Thanks to Barry Arndt for the hint.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 20 Feb 2021 15:06:55 +0100

nanopolish (0.13.2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * Enable building anywhere, there are no longer any SIMD intrinsics

 -- Steffen Moeller <moeller@debian.org>  Sun, 03 May 2020 19:25:27 +0200

nanopolish (0.12.1-2) unstable; urgency=medium

  * Versioned Build-Depends against libminimap2-dev (>= 2.17+dfsg-8)
    (Thanks to Hamid Nassiby)
    Closes: #958081

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 18:51:43 +0200

nanopolish (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit. (routine-update)
  * Introduced dependency on libminimap2-dev

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Mar 2020 15:58:17 +0100
