=== debian/control ===
--- 
+++ 
@@ -9,14 +9,16 @@
                zlib1g-dev,
                libfast5-dev (>= 0.6.5),
                libhts-dev,
-               libeigen3-dev
-Standards-Version: 4.4.1
+               libeigen3-dev,
+               libminimap2-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish
+Rules-Requires-Root: no
 
 Package: nanopolish
-Architecture: any-amd64 any-i386
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
