=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 
 export DEB_CPPFLAGS_MAINT_APPEND= \
  -I/usr/include/hdf5/serial \
- -I/usr/include/eigen3
+ -I/usr/include/eigen3 \
+ -I/usr/include/minimap2
 # dpkg-buildpackage would otherwise set -O2, overriding upstream's -O3
 # Note: ask Steffen why he chose to add -flto for this package.
+# Steffen replies: anything with many object files and compute-intensive should benefit from it
 export DEB_CFLAGS_MAINT_APPEND = -O3 -flto
 export DEB_CXXFLAGS_MAINT_APPEND = -O3 -flto
 export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
@@ -18,6 +20,7 @@
 export HDF5=external
 export EIGEN=external
 export HTS=external
+export MINIMAP2=external
 
 %:
 	dh $@ --with python3
@@ -28,6 +31,16 @@
 	$(MAKE) clean
 	$(RM) .depend
 	mv Makefile~ Makefile
+
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_test
+
+### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Since we need the executable createt inside build time test in autopkgtest this is enforced in dh_auto_build to circumvent nocheck."
+endif
 
 override_dh_install:
 	dh_install
