=== debian/changelog ===
nanopolish (0.13.3-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Explicitly call $(MAKE) on nanopolish_test so as to
    vendor the same even when nocheck is enabled (Closes: #983767)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Bump watch file version to 4

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 01:51:10 +0530

nanopolish (0.13.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.13.3
  * Refresh and remove merged patches
  * Update Manpages

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:08:24 +0530
