=== debian/rules ===
--- 
+++ 
@@ -34,12 +34,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	dh_auto_test
+	$(MAKE) nanopolish_test
 
 ### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	echo "Since we need the executable createt inside build time test in autopkgtest this is enforced in dh_auto_build to circumvent nocheck."
+	echo "Since we need the executable created inside build time test in autopkgtest this is enforced in dh_auto_build to circumvent nocheck."
 endif
 
 override_dh_install:
